Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AggregateExceptionEntry

    java.lang.Object
      oracle.ifs.common.AggregateExceptionEntry

    public class AggregateExceptionEntry

extends java.lang.Object

An AggregateExceptionEntry represents an error condition for a specific object when performed in the context of an aggregate operation.

This class simply manages target object involved in the individual operation failure within the aggregate operation, and the cause of the failure.

Constructor Summary
`AggregateExceptionEntry(java.lang.Throwable cause, AttributeValue target)` Construct an AggregateExceptionEntry.

Method Summary
`java.lang.Throwable` | `getCause()` Gets the cause of the individual operation failure
`AttributeValue` | `getTarget()` Gets the target object involved in the individual operation failure

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregateExceptionEntry

    public AggregateExceptionEntry(java.lang.Throwable cause,
                                   AttributeValue target)

  Construct an AggregateExceptionEntry.

  Parameters:
    `cause` - the exception that occurred
    `target` - the target object involved in the individual operation failure

Method Detail

### getCause

    public final java.lang.Throwable getCause()

  Description copied from class: `AggregateExceptionEntry`
  Gets the cause of the individual operation failure

  Returns:
    the target object

### getTarget

    public final AttributeValue getTarget()

  Description copied from class: `AggregateExceptionEntry`
  Gets the target object involved in the individual operation failure

  Returns:
    the target object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD